import  LocalStorage from "./local-storage";

const VisualizationInfo = {
	getSavedProjectByKey: function (key, objInfo) {
		if (objInfo && objInfo.length) {
			return objInfo.map((obj)=>{
                return obj[Object.keys(obj)][key]
            });
		}
		return null;
	},

    getTimeStamps: function (key) {
		let parseData = LocalStorage.get(key);
		if (parseData && parseData.length) {
			return parseData.map((obj)=>{
                return Object.keys(obj)
            }).flat();
		}

		return null;
	},

	getSavedByTimeStamp: function (objKey, timeStamp) {
		let parseData = LocalStorage.get(objKey);
		if (parseData && parseData.length) {
			let returnData;
			parseData.forEach((savedProject, index) => {
				if (Object.keys(savedProject).toString() === timeStamp) {
					returnData = savedProject[timeStamp]
				}
			  });
			return returnData
		}
		return null;
	},

	getAllByKey: function (key) {
		let parseData =   LocalStorage.get('savedProjects')
		if (parseData && parseData.length) {
			return parseData.map((obj)=>{
				return obj[Object.keys(obj)][key]
			});
		}
		return null;
	},

};

export default VisualizationInfo;